extends Label


func _enter_tree() -> void:
    ProjectSettings.connect('settings_changed', apply_colors)


func apply_colors():
    var is_light: bool = ProjectSettings.get_setting("application/config/Цвет темы программы", false)
    var style = get_theme_stylebox("normal").duplicate()
    if is_light:
        style.bg_color = Color.GRAY
    else:
        style.bg_color = Color(0.12, 0.12, 0.12)
    add_theme_stylebox_override("normal", style)
